How to compile Blender source code from Ubuntu terminal in Ubuntu 11.10?

Asked by M. Kalirajan on 2013-01-28

I am a Newbie to blender source code, going to alter Blender source code. Would you please tell me how to compile Blender source code from ubuntu terminal ? Thanks in advance...

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu blender Edit question
Assignee:
No assignee Edit question
Last query:
2013-01-31
Last reply:
2013-01-31
M. Kalirajan (kalirajan-m) said : #2

Very thanks for your quick reply sir. I am checking now... Thank you...

M. Kalirajan (kalirajan-m) said : #3

While I compile blender source code by following the tutorial steps, finally it shows the following error
(the tutorial i have followed to compile is : http://wiki.blender.org/index.php/Dev:2.5/Doc/Building_Blender/Linux/Ubuntu/Scons)
....
....
Ign http://packages.linuxmint.com maya/upstream Translation-en
Fetched 159 kB in 16s (9,381 B/s)
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package python3.3-dev
E: Couldn't find any package by regex 'python3.3-dev'

Please tell me sir how to solve this problem and how to compile...

Linux Mint is not supported here.

We only support official Ubuntu releases.

Please visit the following forum for support:

http://forums.linuxmint.com/

M. Kalirajan (kalirajan-m) said : #5

Thank you sir. Sir, would you please tell me how to do the same using our ubuntu ... ?

Manfred Hampl (m-hampl) said : #6

Please open a terminal (e.g. by simultaneously pressing ctrl-alt-t) and issue the following three commands:

lsb_release -a
uname -a
find /etc/apt -name '*.list' -exec bash -c 'echo -e "\n$1\n"; cat -n "$1"' _ '{}' \;

then select all output, copy it and paste as new message into this question thread.
This should provide some details about your system and help identifying if and how we can help further.

M. Kalirajan (kalirajan-m) said : #7

kalirajan@ssg23:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 11.10
Release: 11.10
Codename: oneiric
kalirajan@ssg23:~$ uname -a
Linux ssg23 3.0.0-23-generic-pae #39-Ubuntu SMP Thu Jul 19 19:39:19 UTC 2012 i686 i686 i386 GNU/Linux
kalirajan@ssg23:~$ find /etc/apt -name '*.list' -exec bash -c 'echo -e "\n$1\n"; cat -n "$1"' _ '{}' \;

/etc/apt/sources.list.d/olivier-berten-misc-oneiric.list

     1 deb http://ppa.launchpad.net/olivier-berten/misc/ubuntu oneiric main
     2 deb-src http://ppa.launchpad.net/olivier-berten/misc/ubuntu oneiric main

/etc/apt/sources.list.d/google-chrome.list

     1 ### THIS FILE IS AUTOMATICALLY CONFIGURED ###
     2 # You may comment out this entry, but any other modifications may be lost.
     3 deb http://dl.google.com/linux/chrome/deb/ stable main

/etc/apt/sources.list.d/nilarimogard-webupd8-oneiric.list

     1 deb http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu oneiric main
     2 deb-src http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu oneiric main

/etc/apt/sources.list.d/otto-kesselgulasch-gimp-oneiric.list

     1 # deb http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu oneiric main
     2 # deb-src http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu oneiric main

/etc/apt/sources.list.d/matthaeus123-mrw-gimp-svn-oneiric.list

     1 # deb http://ppa.launchpad.net/matthaeus123/mrw-gimp-svn/ubuntu oneiric main
     2 # deb-src http://ppa.launchpad.net/matthaeus123/mrw-gimp-svn/ubuntu oneiric main

/etc/apt/sources.list.d/opera.list

     1 deb http://deb.opera.com/opera/ stable non-free

/etc/apt/sources.list

     1 # deb cdrom:[Ubuntu 11.10 _Oneiric Ocelot_ - Release i386 (20111012)]/ oneiric main restricted
     2
     3 # See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
     4 # newer versions of the distribution.
     5 deb http://in.archive.ubuntu.com/ubuntu/ oneiric main restricted
     6 deb-src http://in.archive.ubuntu.com/ubuntu/ oneiric main restricted
     7
     8 ## Major bug fix updates produced after the final release of the
     9 ## distribution.
    10 deb http://in.archive.ubuntu.com/ubuntu/ oneiric-updates main restricted
    11 deb-src http://in.archive.ubuntu.com/ubuntu/ oneiric-updates main restricted
    12
    13 ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    14 ## team. Also, please note that software in universe WILL NOT receive any
    15 ## review or updates from the Ubuntu security team.
    16 deb http://in.archive.ubuntu.com/ubuntu/ oneiric universe
    17 deb-src http://in.archive.ubuntu.com/ubuntu/ oneiric universe
    18 deb http://in.archive.ubuntu.com/ubuntu/ oneiric-updates universe
    19 deb-src http://in.archive.ubuntu.com/ubuntu/ oneiric-updates universe
    20
    21 ## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
    22 ## team, and may not be under a free licence. Please satisfy yourself as to
    23 ## your rights to use the software. Also, please note that software in
    24 ## multiverse WILL NOT receive any review or updates from the Ubuntu
    25 ## security team.
    26 deb http://in.archive.ubuntu.com/ubuntu/ oneiric multiverse
    27 deb-src http://in.archive.ubuntu.com/ubuntu/ oneiric multiverse
    28 deb http://in.archive.ubuntu.com/ubuntu/ oneiric-updates multiverse
    29 deb-src http://in.archive.ubuntu.com/ubuntu/ oneiric-updates multiverse
    30
    31 ## N.B. software from this repository may not have been tested as
    32 ## extensively as that contained in the main release, although it includes
    33 ## newer versions of some applications which may provide useful features.
    34 ## Also, please note that software in backports WILL NOT receive any review
    35 ## or updates from the Ubuntu security team.
    36 deb http://in.archive.ubuntu.com/ubuntu/ oneiric-backports main restricted universe multiverse
    37 deb-src http://in.archive.ubuntu.com/ubuntu/ oneiric-backports main restricted universe multiverse
    38
    39 deb http://security.ubuntu.com/ubuntu oneiric-security main restricted
    40 deb-src http://security.ubuntu.com/ubuntu oneiric-security main restricted
    41 deb http://security.ubuntu.com/ubuntu oneiric-security universe
    42 deb-src http://security.ubuntu.com/ubuntu oneiric-security universe
    43 deb http://security.ubuntu.com/ubuntu oneiric-security multiverse
    44 deb-src http://security.ubuntu.com/ubuntu oneiric-security multiverse
    45
    46 ## Uncomment the following two lines to add software from Canonical's
    47 ## 'partner' repository.
    48 ## This software is not part of Ubuntu, but is offered by Canonical and the
    49 ## respective vendors as a service to Ubuntu users.
    50 # deb http://archive.canonical.com/ubuntu oneiric partner
    51 # deb-src http://archive.canonical.com/ubuntu oneiric partner
    52
    53 ## This software is not part of Ubuntu, but is offered by third-party
    54 ## developers who want to ship their latest software.
    55 deb http://extras.ubuntu.com/ubuntu oneiric main
    56 deb-src http://extras.ubuntu.com/ubuntu oneiric main
kalirajan@ssg23:~$

In Ubuntu 11.10, run these commands:

sudo add-apt-repository ppa:doko/toolchain

sudo apt-get update

sudo apt-get install python3.3-dev

Then follow the instructions here:

http://wiki.blender.org/index.php/Dev:2.5/Doc/Building_Blender/Linux/Ubuntu/Scons

And if that does not work, then I suggest performing a clean install of Ubuntu 12.10, which definitely contains the missing package python3.3-dev.

It is advisable to install Ubuntu 12.10, because support for Ubuntu 11.10 will expire in a few months. Ubuntu 11.10 is end-of-life in April.

M. Kalirajan (kalirajan-m) said : #9

Okay sir I will follow your steps. Thank you...

Please also execute the following command before starting the compilation procedure:

sudo apt-get install build-essential libncursesw5-dev libreadline5-dev libssl-dev libgdbm-dev libc6-dev libsqlite3-dev tk-dev

This is a prerequisite for building as described here:

http://wiki.blender.org/index.php/Dev:2.5/Doc/Building_Blender/Linux/Troubleshooting

Can you help with this problem?

Provide an answer of your own, or ask M. Kalirajan for more information if necessary.

To post a message you must log in.